
Imports Sample.Base
Imports KamoyaSolutions.KsGrid
Imports System.Text
Imports System.Drawing.Printing
Imports KamoyaSolutions.KsBarCode
Imports System.IO
Imports System.Windows.Forms

Public Class sample15
    Private DataArray As String(,)
    Private Sub sample15_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        sample02.Show()
        Me.Hide()
    End Sub
    Private Sub sample15_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim StringBuilder As New StringBuilder
        LinkLabel1.Text = Class1.LinkAddress
        Me.Icon = New Icon(My.Application.Info.DirectoryPath & "\KsGridIcon.ico")
        Me.Height = 684
        Me.Width = 912
        Me.Top = KsFormOperation.TopForCenter(Me.Height)
        Me.Left = KsFormOperation.LeftForCenter(Me.Width)
        Me.Text = Me.Name & " - KsGrid Rg["
        StringBuilder.AppendLine("f[^̏o")
        StringBuilder.AppendLine("CSV֏o")
        StringBuilder.AppendLine("CSVǂݍ")
        StringBuilder.AppendLine("sȀ̕o")
        StringBuilder.AppendLine("sA̓̕ǂݍ")
        StringBuilder.AppendLine("z֏o")
        StringBuilder.AppendLine("zǂݍ")
        StringBuilder.AppendLine("Љ܂B")
        Label1.Text = StringBuilder.ToString
        'f[^쐬
        Dim LoopR As Int32
        Dim LoopC As Int32
        With KsGrid1
            .Rows = 8
            .Cols = 6
            For LoopR = 0 To .Rows - 1
                For LoopC = 0 To .Cols - 1
                    .Values.ValueString(LoopR, LoopC) = LoopR.ToString & "_" & LoopC.ToString
                Next
            Next
            .DefaultCell.MultiLine = True
            .Draw()
        End With
    End Sub
    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub
    Private Sub Me_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        With KsGrid1
            .Width = Me.Width - 290
            .Height = Me.Height - 60
            .Draw()
        End With
    End Sub
    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        LinkLabel1.LinkVisited = True
        System.Diagnostics.Process.Start(Class1.LinkAddress)
    End Sub
    ''' <summary>
    ''' CSVo
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim SelectedFileName As String
        With SaveFileDialog1
            .FileName = "KsGridCSV.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamWriter As StreamWriter
        StreamWriter = My.Computer.FileSystem.OpenTextFileWriter(SelectedFileName, False)
        StreamWriter.Write(KsGrid1.Values.ToCSV)
        StreamWriter.Close()
        StreamWriter.Dispose()
    End Sub
    ''' <summary>
    ''' CSVǂݍ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim SelectedFileName As String
        With OpenFileDialog1
            .FileName = "KsGridCSV.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamReader As StreamReader
        StreamReader = My.Computer.FileSystem.OpenTextFileReader(SelectedFileName, Encoding.Default)
        KsGrid1.Values.FromCSV(StreamReader.ReadToEnd)
        KsGrid1.Draw()
        StreamReader.Close()
        StreamReader.Dispose()
    End Sub
    ''' <summary>
    ''' z֏o
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        DataArray = KsGrid1.Values.ToArray
        Stop
    End Sub
    ''' <summary>
    ''' zǂݍ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        If DataArray Is Nothing Then
            MessageBox.Show("z֏osĂB", "sample", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If
        With KsGrid1
            .Rows = 0
            .Cols = 0
            .Values.FromArray(DataArray)
            .Draw()
        End With
    End Sub
    ''' <summary>
    ''' 񕝂̏o
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Dim SelectedFileName As String
        With SaveFileDialog1
            .FileName = "KsGridWidth.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamWriter As StreamWriter
        StreamWriter = My.Computer.FileSystem.OpenTextFileWriter(SelectedFileName, False)
        StreamWriter.Write(KsGrid1.Grid.GetAllWidth)
        StreamWriter.Close()
        StreamWriter.Dispose()
    End Sub
    ''' <summary>
    ''' 񕝂̓ǂݍ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Dim SelectedFileName As String
        With OpenFileDialog1
            .FileName = "KsGridWidth.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamReader As StreamReader
        StreamReader = My.Computer.FileSystem.OpenTextFileReader(SelectedFileName, Encoding.Default)
        KsGrid1.Grid.SetAllWidth(StreamReader.ReadToEnd, True)
        KsGrid1.Draw()
        StreamReader.Close()
        StreamReader.Dispose()
    End Sub
    ''' <summary>
    ''' s̍̏o
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        Dim SelectedFileName As String
        With SaveFileDialog1
            .FileName = "KsGridHeight.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamWriter As StreamWriter
        StreamWriter = My.Computer.FileSystem.OpenTextFileWriter(SelectedFileName, False)
        StreamWriter.Write(KsGrid1.Grid.GetAllHeight)
        StreamWriter.Close()
        StreamWriter.Dispose()
    End Sub
    ''' <summary>
    ''' s̍̓ǂݍ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        Dim SelectedFileName As String
        With OpenFileDialog1
            .FileName = "KsGridHeight.txt"
            .DefaultExt = "txt"
            .AddExtension = True
            .InitialDirectory = My.Computer.FileSystem.SpecialDirectories.Desktop
            .ShowDialog()
            SelectedFileName = .FileName
        End With
        Dim StreamReader As StreamReader
        StreamReader = My.Computer.FileSystem.OpenTextFileReader(SelectedFileName, Encoding.Default)
        KsGrid1.Grid.SetAllHeight(StreamReader.ReadToEnd, True)
        KsGrid1.Draw()
        StreamReader.Close()
        StreamReader.Dispose()
    End Sub
End Class